UI Slows down when reports are not purged form DB.
Assignee: Telmo X   

Category: Database   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you don't purged the reports from your database the lookup queries for the last report of a hosts start slowing down due to the way

ActiveRecord queries for it:

Host.reports.last will generate the following SQL statement:

Report Load (1611.5ms)   SELECT * FROM `reports` WHERE (`reports`.host_id = 19) ORDER BY reports.id DESC LIMIT 1

By changing that query to Host.find(host.id).reports.maximum('id')) we make a more efficient query improving the response.

Report Load (3.2ms)   SELECT * FROM `reports` WHERE (`reports`.`id` = 85955)

Patch attached

Associated revisions

Revision bc4f0284 - 03/23/2010 03:05 AM - Telmo X

fixes #186 - When reports are kept in the database and not deleted/purged the Host.reports.last query starts slowing down and the hosts index page

can take minutes to load depending on the number of hosts. By changing Host.reports.last to Host.find(host.id).reports.maximum('id') we make a

more efficient query to the database cutting the lookup time.

Revision 69cbb0f5 - 03/25/2010 01:13 PM - Ohad Levy

refs #186 - minor optimization and avoid a problem when there is no

report in the DB while the host last report date exists

History

#1 - 03/23/2010 12:55 PM - Telmo X

- Status changed from New to Ready For Testing

Applied in changeset bc4f02848eb32c21f72495b421fdb3335a9e45ef.

#2 - 03/25/2010 01:28 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-report-lookup-change.patch 3.99 KB 03/22/2010 Telmo X
